=== debian/control ===
Source: emhash
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake
Standards-Version: 4.7.2
Homepage: https://github.com/ktprime/emhash

Package: emhash-dev
Architecture: amd64
Section: libdevel
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Fast and memory-efficient C++ flat hash map/set
 Header files for C++ providing fast and memory-efficient
 open-addressing with flat hash table/map. This is a header-only
 library.
