=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Dversionmangle: s/\+dfsg\d*$//
Owner: ktprime
Project: emhash
Repack: yes
Repacksuffix: +dfsg
Update-Script: uupdate
